.hidden {
    display: none !important;
}
.grid-title {
    font-size: 12px;
    text-align: center;
    padding: 5px;
  }
  
.grid-wrapper {
    position: absolute;
    left: 0px;
    right: 0px;
    top: 20px;
    bottom: 35px;
    overflow: hidden;
    inset: 35px 20px 50px 20px;
}
.input-fields-wrapper {
    position: absolute;
    left: 20px;
    right: 20px;
    bottom: 10px;
    display: inline-block;
}

.item-overlay {
    position: absolute;
    inset: 30px 0px 0px 100px;
    background-color: var(--background-surface);
    opacity: 1;
    z-index: 12000;
    padding: 0px;
    border: 2px groove rgb(113 113 113);
    box-shadow: rgb(0 0 0 / 90%) -5px 0px 10px;
}

.item-viewer {
    position: absolute;
    inset: 0px;
}

.item-view-wrapper {
    height: 100%;
}

.action-bar {
    position: absolute;
    inset: 0px 2px 2px 0px;
    height: 28px;
    z-index: 500;
}

.action-bar-button {
    margin-right: 20px;
    font-size: 14px;
}

.table-wrapper {
    overflow: hidden;
    position: absolute;
    top: 50px;
    right: 0px;
    bottom: 0px;
    left: 0px;
} 
.table-wrapper-no-filter {
    overflow: hidden;
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
} 
.table-loading {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: 4000;
    opacity: .8;
    background-color: var(--background-page);
}
.loading-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.table-loading-hidden {
    display: none;
}
.grid-title {
    font-size: 14px;
    top: 5px;
    position: relative;
}
.selected-info {
    position: absolute;
    bottom: 0px;
}
.header-sort {
    color: #fff;
    position: relative;
    top: 3px;
    float: right;
}
.header-sort-ff {
    color: #fff;
    position: relative;
    top: -14px;
    float: right;
}
.table-background-outter {
    position: absolute;
    top: 20px;
    right: 0px;
    bottom: 0px;
    left: 0px;
}                
.table-background-inner {
    position: absolute;
    top: 10px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    overflow: hidden;
    border: 1px solid var(--border--emphasis);
}
.table-disabled-pane {
    background-color: rgba(0, 0, 0, 0.6);
    position: absolute;
    top: 40px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: 300;
}
.row-selected {
    background-color: var(--color-background-secondary--dim) !important;
}
.table-buffer {
    height: 30px;
    position: absolute;
    left: 0;
    right: 0;
    top: 0px;
}
.fixed-headers {
    position: absolute;
    z-index: 200;
    display: flex;
    left: 0;
    width: 1000%;
    height: 40px;
    white-space: nowrap;
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    background-color: var(--fill);
    border-bottom: 1px solid var(--border--emphasis);
    box-shadow: 0px 0px 20px black;
}
.fixed-headers-border {
    position: absolute;
    left: 0;
    right: 0;
    height: 50px;
    pointer-events: none;
}
.fixed-headers-width {
    position: relative;
    left: 5px;
    font-size: 10px;
    color: #F44336;
}
.fixed-header {
    display: flex;
    height: 100%;
}
.fixed-header-right {
    display: flex;
    height: 100%;
}
.filler {
    min-width: 20px !important;
    border-bottom: 1px solid var(--border--emphasis);
}
.fixed-header-border-no {
    position: absolute;
    z-index: 2000;
    width: 10px;
    top: 0;
    bottom: 0px;
    left: -200px;
    cursor: not-allowed;
    margin-left: 1px;
    border-left: 1px solid rgb(162 162 162 / 55%);
}
.fixed-header-border {
    position: absolute;
    z-index: 2000;
    width: 10px;
    top: 0;
    bottom: 0px;
    left: -200px;
    cursor: ew-resize;
    margin-left: 1px;
    border-left: 1px solid var(--border--emphasis);
}
.fixed-header-border:hover {
    border-color: var(--color-action-primary);
}
.table-scroll {
    border-top: none;
    z-index: 0;
    width: 100%;
    position: absolute;
    top: 41px;
    bottom: 0px;
    overflow: auto;
    display: inline-block;
    background-color: var(--background-surface);
}
.table-no-scroll {
    border-top: none;
    z-index: 0;
    width: 100%;
    position: absolute;
    top: 41px;
    bottom: 0px;
    overflow: hidden;
    display: inline-block;
}
.grid-data-table {
    border-spacing: 0px;
    background-color: var(--background-surface);
}
.grid-data-table-ie {
    width: 100%;
}
.grid-data-table-row, .grid-data-table-row-docked-left, .grid-data-table-row-docked-right  {  
    height: 33px;                  
}
.grid-data-table-row-hovered  {
    background-color: var(--color-background-interactive) !important;
}
.invisible-header-docked {
    height: 22px;
}
.invisible-header {
    padding: 0px 10px 0px 10px;
    cursor: pointer;
    min-width: 70px;
    color: #333000;
    font-weight: normal;
    font-size: 11px;
    text-align: left;
}
.grid-data-table-cell {
    padding: 0px 10px 0px 10px;
    border-right: 1px solid var(--border--emphasis);
    border-bottom: 1px solid var(--border--emphasis);
    min-width: 70px;
    font-weight: normal;
    font-size: 11px;
    word-wrap: break-word;
    padding: 5px;
    vertical-align: middle;
}
.grid-data-table-cell:last-child {
    border-right: none;
}
.grid-data-table-cell-right {
    adding: 0px 10px 0px 10px;
    border-right: 1px solid var(--border--emphasis);
    border-bottom: 1px solid var(--border--emphasis);
    min-width: 70px;
    font-weight: normal;
    font-size: 11px;
    word-wrap: break-word;
    padding: 0px 5px 0px 5px;
    vertical-align: middle;
    border-left: 1px solid var(--border--emphasis);
}
.header-filter {
    width: 100%
}
.header-sorter-asc {
    border-left: solid 5px #fff;
    border-top: solid 5px rgba(255, 255, 255, 0);
    border-right: solid 5px #fff;
    border-bottom: solid 2px #fff;
    position: absolute;
    left: -8px;
    bottom: -8px;
    width: calc(100% + 5px);
    height: 6px;
}
.header-sorter-desc {
    border-left: solid 5px #fff;
    border-bottom: solid 5px rgba(255, 255, 255, 0);
    border-right: solid 5px #fff;
    border-top: solid 2px #fff;
    position: absolute;
    left: -8px;
    top: -8px;
    width: calc(100% + 5px);
    height: 6px;
}
.column-header-plain {
    position: relative;
    top: 3px;
    left: 0;
    width: 100%;
    height: 100%;
    font-weight: 700;
}

.grid-header-row {
    white-space: nowrap;
    margin-bottom: 3px;
    display: flex;
}
.grid-header {
    display: flex;
    background-color: #222;
    font-size: 12px;
    min-width: 150px;
    padding: 9px;
    height: 50px;
    position: relative;
    top: 0px;
    border-bottom: 2px solid #000;
    margin-right: 3px;
    cursor: pointer;
}
.grid-row {
    display: flex;
    white-space: nowrap;
    height: 33px;
}
.grid-item {
    display: flex;
    font-size: 12px;
    min-width: 150px;
    height: 30px;
    overflow: initial;
    text-overflow: ellipsis;
    background-color: #545454;
    padding: 5px;
    margin-right: 3px;
    cursor: pointer;
} 
.config {
    cursor: pointer;
    font-size: 16px;
}
.grid-icons {
    float: right;
    position: relative;
    top: 8px;
}
.export-icon {
    margin-right: 10px;
    font-size: 16px;
    cursor: pointer;
    position: relative;
    top: 4px;
}
.filter-icon {
    cursor: pointer;
    font-size: 16px;
    margin-right: 8px;
}
.resizing {
    cursor: ew-resize;
}
.dock-left {
    position: absolute;
    left: 0;
    width: 0;
    bottom: 0;
    top: 0;
    z-index: 2010;
    background-color: var(--background-surface);
    box-shadow: 0px 0px 20px black;
}
.dock-center {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
}
.dock-right {
    position: absolute;
    right: 0;
    width: 0;
    bottom: 0;
    top: 0;
    z-index: 2010;
    background-color: var(--background-surface);
    box-shadow: 0px 0px 20px black;
}
.fixed-headers-docked-left {
    position: absolute;
    z-index: 200;
    display: flex;
    top: 0;
    left: 0;
    height: 40px;
    white-space: nowrap;
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    background-color: var(--fill);
    border-bottom: 1px solid var(--border--emphasis);
}
.fixed-headers-docked-right { 
    position: absolute;
    z-index: 200;
    display: flex;
    top: 0;
    left: 0;
    height: 40px;
    white-space: nowrap;
    user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    background-color: var(--fill);
    border-bottom: 1px solid var(--border--emphasis);
}
.grid-btns {
    float: right;
    position: relative;
    top: 0px;
    right:10px
}